## dploot 3.1.2

=== Makefile ===
all: build clean

clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +
	find . -name '__pycache__' -exec rm -rf  {} +

rebuild: clean
	pip install .

publish: clean
	python3 -m build
	python3 -m twine upload dist/*

build: clean
	pip install .

=== debian/changelog ===
dploot (3.1.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.2
  * Refresh patches
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Apr 2025 14:47:01 +0200

dploot (3.0.0-0kali2) kali-dev; urgency=medium

  * Remove versions restriction of pyasn1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 13:29:43 +0200

dploot (3.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.0
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Aug 2024 12:10:55 +0200

dploot (2.7.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.3
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Jul 2024 10:28:38 +0200

dploot (2.7.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 May 2024 15:55:25 +0200

dploot (2.7.1-0kali2) kali-dev; urgency=medium

  * Add fix-dependency-versions.patch
  * Remove Remove-version-s-restrictions-on-cryptography.patch
  * Add python3-dploot.lintian-overrides

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 23 Apr 2024 11:18:45 +0200

dploot (2.7.1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Re-enable CI

  [ Daniel Ruiz de Alegría ]
  * New upstream version 2.7.1
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 18 Apr 2024 11:51:39 +0200

dploot (2.6.2-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * ci: Don't try to build while still a WIP project

  [ Arslan Masood ]
  * Update packaging

  [ Sophie Brun ]
  * New upstream version 2.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Mar 2024 11:53:25 +0100

=== debian/control ===
Source: dploot
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cryptography,
 python3-poetry-core,
 python3-impacket,
 python3-lxml,
 python3-pyasn1,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/zblurx/dploot
Vcs-Browser: https://gitlab.com/kalilinux/packages/dploot
Vcs-Git: https://gitlab.com/kalilinux/packages/dploot.git

Package: python3-dploot
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-dploot-doc,
Description: Python rewrite of SharpDPAPI
 Implement all the DPAPI logic of SharpDPAPI and DPAPI, usable
 with a Python interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = dploot

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_fixperms:
	for file in debian/python3-dploot/usr/lib/python3/dist-packages/dploot/entry.py debian/python3-dploot/usr/lib/python3/dist-packages/dploot/*/*.py; do \
		chmod 644 $$file; \
	done

=== debian/tests/control ===
Test-Command: dploot -h
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dploot-$1\.tar\.gz/ \
  https://github.com/zblurx/dploot/tags .*/v?(\d\S+)\.tar\.gz
